# -*-makefile-*-
# $Id: template 5709 2006-06-09 13:55:00Z mkl $
#
# Copyright (C) 2006 by Robert Schwebel <r.schwebel@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_FIXUP_KERNEL) += fixup-kernel

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

fixup-kernel_get: $(STATEDIR)/fixup-kernel.get

$(STATEDIR)/fixup-kernel.get:
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

fixup-kernel_extract: $(STATEDIR)/fixup-kernel.extract

$(STATEDIR)/fixup-kernel.extract: $(fixup-kernel_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

fixup-kernel_prepare: $(STATEDIR)/fixup-kernel.prepare

$(STATEDIR)/fixup-kernel.prepare: $(fixup-kernel_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

fixup-kernel_compile: $(STATEDIR)/fixup-kernel.compile

$(STATEDIR)/fixup-kernel.compile: $(fixup-kernel_compile_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

fixup-kernel_install: $(STATEDIR)/fixup-kernel.install

$(STATEDIR)/fixup-kernel.install: $(fixup-kernel_install_deps_default) $(STATEDIR)/kernel.targetinstall
	@$(call targetinfo, $@)

	# fixup: we _always_ need the kernel in the image dir!

	for i in $(KERNEL_TARGET_PATH); do                              \
		if [ -f $$i ]; then                                     \
			cp $$i $(IMAGEDIR)/linuximage;			\
		fi;                                                     \
	done

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

fixup-kernel_targetinstall: $(STATEDIR)/fixup-kernel.targetinstall

$(STATEDIR)/fixup-kernel.targetinstall: $(fixup-kernel_targetinstall_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

fixup-kernel_clean:
	rm -rf $(STATEDIR)/fixup-kernel.*
	rm -rf $(IMAGEDIR)/fixup-kernel_*
	rm -rf $(FIXUP_KERNEL_DIR)

# vim: syntax=make
