# -*-makefile-*-
# $Id$
#
# Copyright (C) 2006 by Marc Kleine-Budde
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PHYCORE_MPC5200B_FPGA) += phyCORE-MPC5200B-fpga

#
# Paths and names
#
PHYCORE_MPC5200B_FPGA		:= fpga-trunk
PHYCORE_MPC5200B_FPGA_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(PHYCORE_MPC5200B_FPGA)
PHYCORE_MPC5200B_FPGA_SOURCE	:= $(SRCDIR)/$(PHYCORE_MPC5200B_FPGA)
PHYCORE_MPC5200B_FPGA_DIR		:= $(BUILDDIR)/$(PHYCORE_MPC5200B_FPGA)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

phyCORE-MPC5200B-fpga_get: $(STATEDIR)/phyCORE-MPC5200B-fpga.get

$(STATEDIR)/phyCORE-MPC5200B-fpga.get: $(phyCORE-MPC5200B-fpga_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(PHYCORE_MPC5200B_FPGA_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, PHYCORE_MPC5200B_FPGA)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

phyCORE-MPC5200B-fpga_extract: $(STATEDIR)/phyCORE-MPC5200B-fpga.extract

$(STATEDIR)/phyCORE-MPC5200B-fpga.extract: $(phyCORE-MPC5200B-fpga_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(PHYCORE_MPC5200B_FPGA_DIR))
	@$(call extract, PHYCORE_MPC5200B_FPGA)
	@$(call patchin, PHYCORE_MPC5200B_FPGA)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

phyCORE-MPC5200B-fpga_prepare: $(STATEDIR)/phyCORE-MPC5200B-fpga.prepare

PHYCORE_MPC5200B_FPGA_PATH	:= PATH=$(CROSS_PATH)

$(STATEDIR)/phyCORE-MPC5200B-fpga.prepare: $(phyCORE-MPC5200B-fpga_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

phyCORE-MPC5200B-fpga_compile: $(STATEDIR)/phyCORE-MPC5200B-fpga.compile

$(STATEDIR)/phyCORE-MPC5200B-fpga.compile: $(phyCORE-MPC5200B-fpga_compile_deps_default)
	@$(call targetinfo, $@)
	cd $(PHYCORE_MPC5200B_FPGA_DIR) && $(PHYCORE_MPC5200B_FPGA_ENV) $(PHYCORE_MPC5200B_FPGA_PATH) make KDIR=$(KERNEL_DIR)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

phyCORE-MPC5200B-fpga_install: $(STATEDIR)/phyCORE-MPC5200B-fpga.install

$(STATEDIR)/phyCORE-MPC5200B-fpga.install: $(phyCORE-MPC5200B-fpga_install_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

phyCORE-MPC5200B-fpga_targetinstall: $(STATEDIR)/phyCORE-MPC5200B-fpga.targetinstall

$(STATEDIR)/phyCORE-MPC5200B-fpga.targetinstall: $(phyCORE-MPC5200B-fpga_targetinstall_deps_default)
	@$(call targetinfo, $@)

	@$(call install_init, phycore-mpc5200b-fpga)
	@$(call install_fixup,phycore-mpc5200b-fpga,PACKAGE,phycore-mpc5200b-fpga)
	@$(call install_fixup,phycore-mpc5200b-fpga,PRIORITY,optional)
	@$(call install_fixup,phycore-mpc5200b-fpga,VERSION,0)
	@$(call install_fixup,phycore-mpc5200b-fpga,SECTION,base)
	@$(call install_fixup,phycore-mpc5200b-fpga,AUTHOR,"Marc Kleine-Budde")
	@$(call install_fixup,phycore-mpc5200b-fpga,DEPENDS,)
	@$(call install_fixup,phycore-mpc5200b-fpga,DESCRIPTION,missing)

	@$(call install_copy, phycore-mpc5200b-fpga, 0, 0, 0755, $(PHYCORE_MPC5200B_FPGA_DIR)/fpga.ko, /home/fpga.ko,n)
ifdef PTXCONF_PHYCORE_MPC5200B_FPGA_FIRMWARE_HELPER
	@$(call install_copy, phycore-mpc5200b-fpga, 0, 0, 0755, /etc/udev/rules.d)
	@$(call install_copy, phycore-mpc5200b-fpga, 0, 0, 0644, ${PTXDIST_WORKSPACE}/projectroot/etc/udev/rules.d/udev.rules, /etc/udev/rules.d/udev.rules,n)
endif
ifdef PTXCONF_PHYCORE_MPC5200B_FPGA_FIRMWARE
	@$(call install_copy, phycore-mpc5200b-fpga, 0, 0, 0755, /lib/firmware)
	@$(call install_copy, phycore-mpc5200b-fpga, 0, 0, 0644, ${PTXDIST_WORKSPACE}/projectroot/MPC_to_WBSlave.rbf, /lib/firmware/MPC_to_WBSlave.rbf,n)
endif
	@$(call install_finish,phycore-mpc5200b-fpga)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

phyCORE-MPC5200B-fpga_clean:
	rm -rf $(STATEDIR)/phyCORE-MPC5200B-fpga.*
	cd $(PHYCORE_MPC5200B_FPGA_DIR) && $(PHYCORE_MPC5200B_FPGA_ENV) $(PHYCORE_MPC5200B_FPGA_PATH) make clean

# vim: syntax=make
